FreeBSD : Tor -- remote denial of service (c1dc55dc-9556-11e6-b154-3065ec8fd3ec)

High Nessus Plugin ID 94127


The remote FreeBSD host is missing one or more security-related updates.


The Tor Blog reports :

Prevent a class of security bugs caused by treating the contents of a buffer chunk as if they were a NUL-terminated string. At least one such bug seems to be present in all currently used versions of Tor, and would allow an attacker to remotely crash most Tor instances, especially those compiled with extra compiler hardening. With this defense in place, such bugs can't crash Tor, though we should still fix them as they occur. Closes ticket 20384 (TROVE-2016-10-001).


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 94127

File Name: freebsd_pkg_c1dc55dc955611e6b1543065ec8fd3ec.nasl

Version: $Revision: 2.1 $

Type: local

Published: 2016/10/19

Modified: 2016/10/19

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:tor, p-cpe:/a:freebsd:freebsd:tor-devel, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/10/18

Vulnerability Publication Date: 2016/10/17